---
search:
  tags:
    - Orders
    - GET
seo:
  description: >-
    Retrieves all order lines for a specific order,… Reference for the GET
    /api/v1/{team_slug}/{app_slug}/orders/{order_id}/lines endpoint in the
    Management API.
sidebar:
  label: Get order lines
  badge: GET
title: Get order lines
type: openapi-operation
---
Retrieves all order lines for a specific order, including enriched product and variant information such as names, numbers, descriptions, and images.

`GET /api/v1/{team_slug}/{app_slug}/orders/{order_id}/lines`

**Responses**

- `200` — Order lines retrieved successfully
- `400` — Invalid order ID format
- `401` — Unauthorized access
- `404` — Order not found
- `500` — Internal server error

Response example, 200:

```json
{
  "data": [
    {
      "base_price_amount": 0,
      "created_at": "string",
      "currency_code": "string",
      "first_image_path": "string",
      "id": "string",
      "order_id": "string",
      "product_id": "string",
      "product_name": "string",
      "product_number": "string",
      "quantity": 0,
      "short_description": "string",
      "tax_group_id": "string",
      "total_discount_amount": 0,
      "total_price_amount": 0,
      "total_sale_price": 0,
      "total_tax_amount": 0,
      "updated_at": "string",
      "variant_id": "string",
      "variant_name": "string",
      "variant_number": "string"
    }
  ],
  "details": [
    "string"
  ],
  "success": true
}
```
